<html>

<head>
    <meta http-equiv=Content-Type content="text/html; charset=utf-8">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.22/css/jquery.dataTables.min.css">
    <script src="https://cdn.datatables.net/1.10.22/js/jquery.dataTables.min.js"></script>
</head>

<body>
    <div class="container">

    </div>
    <script>

        //student
        var student = {
            "ID": 12345678,
            "ime": "Marko",
            "prezime": "Marković",
            "kontakt": {
                "email": "mmarkovic@vub.hr",
                "mobitel": "0912345678"
            },
            "pozdrav": false
        }

        console.log(student);
        console.log(student.kontakt.email);

        var kljucevi = Object.keys(student);

        console.log(kljucevi);

        $.each(kljucevi, function (key) {
            console.log(kljucevi[key]);
            if (kljucevi[key] == 'kontakt') {
                var keyKontakt = Object.keys(student.kontakt);
                $.each(keyKontakt, function (key) {
                    console.log('   ' + keyKontakt[key]);
                })
            }
        });

        if (!student.pozdrav) {
            student.pozdrav = true;
        }

        console.log(student);


        //studenti
        var studenti = [
            {"ID": 12345678,
             "ime": "Marko",
             "prezime": "Markić",
             "kontakt": {
                 "email": "mmarkic@vub.hr",
                 "mobitel": "0912345678"
             },
             "pozdrav": false
            },
            {
             "ID": 12345679,
             "ime": "Petar",
             "prezime": "Petrić",
             "kontakt": {
                 "email": "ppetric@vub.hr",
                 "mobitel": "0912345679"
             },
             "pozdrav": false
            }
        ]; 
        
        console.log(studenti);
        var kljucevi = Object.keys(studenti);
        console.log(kljucevi);
        
        $.each(kljucevi, function (key) {
            console.log(studenti[key]);
            console.log(studenti[key].kontakt.email)
            if (!studenti[key].pozdrav) {
               studenti[key].pozdrav = true;
            }
        });

        console.log(studenti);
        
        //predmeti
        var predmeti = [{
            "Naziv predmeta": "Web programiranje 1",
            "Nositelj(i) predmeta": ["Tomislav Adamović, pred."],
            "Studijski program(i)": ["Preddiplomski stručni studij Računarstvo"],
            "Status predmeta": "Obvezni",
            "godina": 2,
            "Semestar": 3,
            "ECTS": 5,
            "Izvedba nastave": "60"
        },
        {
            "Naziv predmeta": "Baze podataka",
            "Nositelj(i) predmeta": ["Tomislav Adamović, pred."],
            "Studijski program(i)": ["Preddiplomski stručni studij Računarstvo"],
            "Status predmeta": "Obvezni",
            "godina": 2,
            "Semestar": 3,
            "ECTS": 6,
            "Izvedba nastave": "60"
        }
    ]
    console.log(predmeti);
    console.log(predmeti[0].godina);

    console.log(predmeti[0]["Nositelj(i) predmeta"][0]);

    //predmeti i upisani studenti

    var upisani = [{
            "Naziv predmeta": "Web programiranje 1",
            "Nositelj(i) predmeta": ["Tomislav Adamović, pred."],
            "Studijski program(i)": ["Preddiplomski stručni studij Računarstvo"],
            "Status predmeta": "Obvezni",
            "godina": 2,
            "Semestar": 3,
            "ECTS": 5,
            "Izvedba nastave": "60",
            "studenti":[
                {
                    "ID":"12345678",
                    "uri":"studenti"
                },
                {
                    "ID":"12345679",
                    "uri":"studenti"
                }
            ]
        }, 
        {
            "Naziv predmeta": "Baze podataka",
            "Nositelj(i) predmeta": ["Tomislav Adamović, pred."],
            "Studijski program(i)": ["Preddiplomski stručni studij Računarstvo"],
            "Status predmeta": "Obvezni",
            "godina": 2,
            "Semestar": 3,
            "ECTS": 6,
            "Izvedba nastave": "60"
        }
    ]

    console.log(upisani);
    console.log(upisani[0]["Naziv predmeta"] + 
                ' upisali su: ' + 
                upisani[0].studenti[0].ID + 
                ' i ' + 
                upisani[0].studenti[1].ID);
    
               
    $.each(upisani[0].studenti, function (key) {
        console.log(upisani[0].studenti[key].ID);
        console.log(f_get_student(upisani[0].studenti[key].ID));    
    });


    function f_get_student(id){
        var student ={};
        $.each(studenti, function (key) {
            if(studenti[key].ID == id){
                student = studenti[key];
                return true;
            }
        });   
        return student;     
    }

    //kombinacija
    console.log("--------------------");
    $.each(upisani[0].studenti, function (key) {
        console.log(upisani[0].studenti[key].ID);
        console.log(f_get_json(upisani[0].studenti[key].ID,upisani[0].studenti[key].uri));    
    });


    function f_get_json(id,uri){
        var output ={};
        var tmp = eval(uri);
        $.each(tmp, function (key) {
            if(tmp[key].ID == id){
                student = tmp[key];
                return true;
            }
        });   
        return student;  
    }


    ObjectValues = function(v, k){
        if (typeof v == "object") {
            for (var kp in v) {
                if (Object.hasOwnProperty.call(v, kp)) {
                    ObjectValues(v[kp], k != undefined ? k + "." + kp : kp);
                }
            }
        }else{
            console.log(k + ":" + v);
        }
    };
    ObjectValues(studenti);

   



    </script>
</body>

</html>